Forum Stats

  • 3,871,979 Users
  • 2,266,360 Discussions
  • 7,911,017 Comments

Discussions

invalid identifier dbms_mle.context_handle_t

I want to use DBMS_MLE package in my application in order to write embedded js code in my pl/sql to do so , I was trying the solution provided in

but i am receiving error as invalid identifier


Best Answer

  • User_H49H7
    User_H49H7 Member Posts: 3 Green Ribbon
    Answer ✓

    Hi Madhwal.17

    It looks like the DBMS_MLE database package has not been installed/missing.

    I've run into the same problem as you when doing the APEX + Server-Side JavaScript tutorial in both the web based Oracle.apex.com APEX v 21.2 workspace and the on the Oracle Cloud (always free ) APEX workspace.

    This is the frustrating thing with Oracle. Always have to jump hoops to sort things out.

    Wish they would ensure the environments are all properly set up so users don't run into these problems.

    Madhwal.17

Answers

  • User_H3J7U
    User_H3J7U Member Posts: 1,062 Gold Trophy

    PLS-00201: identifier 'DBMS_MLES.CONTEXT_HANDLE_T' must be declared

    There is no dbms_mle package in your database.

    Madhwal.17
  • User_H49H7
    User_H49H7 Member Posts: 3 Green Ribbon
    Answer ✓

    Hi Madhwal.17

    It looks like the DBMS_MLE database package has not been installed/missing.

    I've run into the same problem as you when doing the APEX + Server-Side JavaScript tutorial in both the web based Oracle.apex.com APEX v 21.2 workspace and the on the Oracle Cloud (always free ) APEX workspace.

    This is the frustrating thing with Oracle. Always have to jump hoops to sort things out.

    Wish they would ensure the environments are all properly set up so users don't run into these problems.

    Madhwal.17